# WOK
TKWOK
MS

# MS_HArray1OfParam Class Reference

`#include <MS_HArray1OfParam.hxx>`

## Public Member Functions

Standard_EXPORT | MS_HArray1OfParam (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | MS_HArray1OfParam (const Standard_Integer Low, const Standard_Integer Up, const Handle(MS_Param)&V)
Standard_EXPORT void | Init (const Handle(MS_Param)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(MS_Param)&Value)
const Handle_MS_Param & | Value (const Standard_Integer Index) const
Handle_MS_Param & | ChangeValue (const Standard_Integer Index)
const MS_Array1OfParam & | Array1 () const
MS_Array1OfParam & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_Array1OfParam | myArray

## Constructor & Destructor Documentation

Standard_EXPORT MS_HArray1OfParam::MS_HArray1OfParam | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT MS_HArray1OfParam::MS_HArray1OfParam | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(MS_Param)& | V
| ) |

## Member Function Documentation

const MS_Array1OfParam& MS_HArray1OfParam::Array1 | ( |  | ) | const

MS_Array1OfParam& MS_HArray1OfParam::ChangeArray1 | ( |  | ) |

Handle_MS_Param& MS_HArray1OfParam::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const MS_HArray1OfParam::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HArray1OfParam::Init | ( | const Handle(MS_Param)& | V | ) |

Standard_Integer MS_HArray1OfParam::Length | ( |  | ) | const

Standard_Integer MS_HArray1OfParam::Lower | ( |  | ) | const

void MS_HArray1OfParam::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MS_Param)& | Value
| ) |

Standard_Integer MS_HArray1OfParam::Upper | ( |  | ) | const

const Handle_MS_Param& MS_HArray1OfParam::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

MS_Array1OfParam MS_HArray1OfParam::myArray `[private]`

The documentation for this class was generated from the following file:

- MS_HArray1OfParam.hxx